(gelöst) Bekomme ioBroker nicht installiert

Fragen zur Installation von ioBroker auf unterschiedlichen Plattformen.
Tolkin
starter
Beiträge: 39
Registriert: 09.09.2017, 07:01

(gelöst) Bekomme ioBroker nicht installiert

Beitrag von Tolkin » 11.07.2018, 18:09

Hallo,
ich bin gerade dabei, nach diesr Anleitung ioBroker zu installieren.
Befehle

ssh pi@192.168.178.111

sudo apt-get update
sudo apt-get upgrade
sudo raspi-config

sudo apt-get --purge remove node nodejs
sudo apt-get autoremove

sudo -s
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
exit

sudo apt-get install -y build-essential libavahi-compat-libdnssd-dev libudev-dev nodejs

sudo mkdir /opt/iobroker
cd /opt/iobroker
sudo npm install iobroker --unsafe-perm

sudo iobroker start
Das Verzeichnis konnte ich mit sudo mkdir /opt/iobroker anlegen und mit cd wird mir das Verzeichnis auch angezeigt. Der Befehl sudo npm install iobroker --unsafe-perm funktioniert aber leider nicht, ich bekomme die Meldung sudo: mpm: Befehl nicht gefunden
Zuletzt geändert von Tolkin am 17.07.2018, 12:14, insgesamt 1-mal geändert.

Benutzeravatar
apollon77
guru
Beiträge: 7243
Registriert: 10.04.2015, 12:27

Re: Bekomme ioBroker nicht installiert

Beitrag von apollon77 » 11.07.2018, 18:11

Wenn wirklich „npm not found“ kommt dann bitte richtig schreiben. ;-)

Ansonsten muss nodejs installiert sein und das bringt an sich npm mit.

Was sagt denn

node -v
npm -v

??



Gesendet vom Handy ...
How-to:
* Debug-Log für eine Instanz einschalten? -> Instanzen -> Expertenmodus -> Spalte Loglevel/Log-Stufe
* Logfiles auf Platte /opt/iobroker/log/... nutzen, Admin schneidet Zeilen ab

Tolkin
starter
Beiträge: 39
Registriert: 09.09.2017, 07:01

Re: Bekomme ioBroker nicht installiert

Beitrag von Tolkin » 11.07.2018, 18:15

Bei npm -v kommt Kommando nicht gefunden

Benutzeravatar
apollon77
guru
Beiträge: 7243
Registriert: 10.04.2015, 12:27

Bekomme ioBroker nicht installiert

Beitrag von apollon77 » 11.07.2018, 18:20

Und node -v?

Gesendet vom Handy ...
How-to:
* Debug-Log für eine Instanz einschalten? -> Instanzen -> Expertenmodus -> Spalte Loglevel/Log-Stufe
* Logfiles auf Platte /opt/iobroker/log/... nutzen, Admin schneidet Zeilen ab

Tolkin
starter
Beiträge: 39
Registriert: 09.09.2017, 07:01

Re: Bekomme ioBroker nicht installiert

Beitrag von Tolkin » 11.07.2018, 18:22

Raspberry Pi ich bin gerade dabei iobroker aufzusetzen

Bei node -v kommt V8.11.1

Benutzeravatar
apollon77
guru
Beiträge: 7243
Registriert: 10.04.2015, 12:27

Bekomme ioBroker nicht installiert

Beitrag von apollon77 » 11.07.2018, 18:24

Dann checke bitte die installation nochmal.
Normalerweise wird npm mit installiert

Sonst apt-get install npm
?!
Gesendet vom Handy ...
How-to:
* Debug-Log für eine Instanz einschalten? -> Instanzen -> Expertenmodus -> Spalte Loglevel/Log-Stufe
* Logfiles auf Platte /opt/iobroker/log/... nutzen, Admin schneidet Zeilen ab

Tolkin
starter
Beiträge: 39
Registriert: 09.09.2017, 07:01

Re: Bekomme ioBroker nicht installiert

Beitrag von Tolkin » 11.07.2018, 18:28

apollon77 hat geschrieben:
11.07.2018, 18:24
Sonst apt-get install npm
Vielen Dank, dass hat gefehlt ;)

Benutzeravatar
apollon77
guru
Beiträge: 7243
Registriert: 10.04.2015, 12:27

Re: Bekomme ioBroker nicht installiert

Beitrag von apollon77 » 11.07.2018, 18:38

Super. Bitte im ersten Thread noch gelöst ins subject schreiben.


Gesendet vom Handy ...
How-to:
* Debug-Log für eine Instanz einschalten? -> Instanzen -> Expertenmodus -> Spalte Loglevel/Log-Stufe
* Logfiles auf Platte /opt/iobroker/log/... nutzen, Admin schneidet Zeilen ab

Benutzeravatar
eric2905
guru
Beiträge: 3471
Registriert: 23.03.2015, 18:41
Wohnort: Wuppertal

Re: Bekomme ioBroker nicht installiert

Beitrag von eric2905 » 11.07.2018, 19:51

Hi,

kurze Frage noch:

Hast Du nach dieser Doku installiert? Link

Gruß,
Eric


Von unterwegs getippert
-----------------------------------------------------------------------------------------------
Roses are red, violets are blue,
if I listen to heavy metal, my neighbours do too

chris
starter
Beiträge: 15
Registriert: 11.12.2016, 16:08

Re: Bekomme ioBroker nicht installiert

Beitrag von chris » 13.07.2018, 09:10

Hallo,
Ich habe heute genau nach dieser Anleitung neu installiert und genau die gleiche Fehlermeldung bekommen.
apt-get install npm hat geholfen.
Danke

Benutzeravatar
Homoran
guru
Beiträge: 13027
Registriert: 08.08.2014, 16:50

Re: Bekomme ioBroker nicht installiert

Beitrag von Homoran » 13.07.2018, 17:37

Ebenfalls node 8.x?

Und das beim Befehl
Tolkin hat geschrieben:
11.07.2018, 18:09
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
Das macht mich schon stutzig

Gruß Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

chris
starter
Beiträge: 15
Registriert: 11.12.2016, 16:08

Re: Bekomme ioBroker nicht installiert

Beitrag von chris » 14.07.2018, 11:20

Hallo,

ich dachte, ich hätte irgendwo was falsch gemacht und 3 mal mit frisch formatierter Speicherkarte von vorne angefangen.
Das Ergebnis war immer wie oben beschrieben. Kein npm.
Durch das nachinstallieren konnte ich dann iobroker installieren.
Dann gab es aber ein Problem beim zurückspielen eines Backups.
Es war alles wieder da und lief, ausser der Javascript Adapter und meiner Scripte.
Auch ein nachinstallieren ging nicht.
Ich hab jetzt erst mal ein altes Image zurück gespielt.
Gruß
Chris

mafe68
starter
Beiträge: 58
Registriert: 13.06.2017, 09:48

Re: Bekomme ioBroker nicht installiert

Beitrag von mafe68 » 14.07.2018, 14:54

Homoran hat geschrieben:
13.07.2018, 17:37
Ebenfalls node 8.x?

Und das beim Befehl
Tolkin hat geschrieben:
11.07.2018, 18:09
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
Das macht mich schon stutzig

Gruß Rainer
Wenn ich das jetzt richtig verstehe dann wird das npm-paket nicht mit installiert. Zumindest war das auch bei mir so. Hat da schon wer nachgesehen ob da wo die Abhängigkeiten fehlen? Bin noch ziemlich neu bei iobroker nur habe ich jetzt 2 System installiert und da gab es jedes mal ein Problem dass das npm-Paket nicht mit installiert wurde. Kann heute nochmal testen in einer VM auf Basis Debian Stretch Netinstall.
LG. Mario

ioBroker LXC Container Proxmox
ioBroker BananaPi M1

MarkusP
starter
Beiträge: 60
Registriert: 31.12.2017, 11:46

Re: Bekomme ioBroker nicht installiert

Beitrag von MarkusP » 14.07.2018, 18:30

Hallo,

bekomme ebenso dein iobroker nicht richtig installiert. NPM wird bei mir nicht automatisch mitinstalliert. Mache ich das manuell, erhalte ich die Version 1.4.21. Beim anschließenden Einspielen eines Backups bleiben die meisten Adapter "tot".
Wie bekomme ich die neueste NPM-Version?

Viele Grüße

Benutzeravatar
Bluefox
Site Admin
Beiträge: 8110
Registriert: 13.07.2014, 14:42
Kontaktdaten:

Re: Bekomme ioBroker nicht installiert

Beitrag von Bluefox » 14.07.2018, 18:44

MarkusP hat geschrieben:
14.07.2018, 18:30
Hallo,

bekomme ebenso dein iobroker nicht richtig installiert. NPM wird bei mir nicht automatisch mitinstalliert. Mache ich das manuell, erhalte ich die Version 1.4.21. Beim anschließenden Einspielen eines Backups bleiben die meisten Adapter "tot".
Wie bekomme ich die neueste NPM-Version?

Viele Grüße
npm i npm@latest -g

MarkusP
starter
Beiträge: 60
Registriert: 31.12.2017, 11:46

Re: Bekomme ioBroker nicht installiert

Beitrag von MarkusP » 14.07.2018, 18:57

mit "npm i npm@latest -g" bekomme ich auch nur 1.4.21. bzw. beim Installieren dann

(node:4005) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.

Benutzeravatar
Homoran
guru
Beiträge: 13027
Registriert: 08.08.2014, 16:50

Re: Bekomme ioBroker nicht installiert

Beitrag von Homoran » 14.07.2018, 18:59

mach mal bitte

Code: Alles auswählen

node -v
nodejs -v
npm -v
Welche Hardware?
Welches OS?

Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

Daniel84
starter
Beiträge: 78
Registriert: 14.07.2018, 18:41

Re: Bekomme ioBroker nicht installiert

Beitrag von Daniel84 » 14.07.2018, 19:00

Hallo zusamen,

Ich hab genau das gleiche problem,
Hab heute eine neue 32gb speichkarte bekommen und wollte raspbian und den iobroker neu installieren.
Ich hab mit diesem tutorial gearbeit.https://haus-automatisierung.com/softwa ... ation.html
Das hat sonst immer funktioniert.
Jetzt hört es bei(sudo npm install iobroker --unsafe-perm) Auf
Ich bekomme immer die meldung (sudo: npm: Befehl nicht gefunden)

Habs schon mehr mal versucht immer wieder das selbe..
kann jemand helfen?

Benutzeravatar
Homoran
guru
Beiträge: 13027
Registriert: 08.08.2014, 16:50

Re: Bekomme ioBroker nicht installiert

Beitrag von Homoran » 14.07.2018, 19:05

Ich frage auch hier:
mit welchem Befehl genau wurde node installiert?

Leider wurde diese Frage zwar zitiert aber nicht beantwortet. Es kann doch nicht sein, dass man node 6 installiert und dann node 8 drauf hat.

und was bringt

Code: Alles auswählen

node -v
nodejs -v
npm -v
Ich kenne das andere Turorial nicht, und kann dafür auch keinen Support geben, die offizielle Anleitung steht hier:
http://www.iobroker.net/docu/?page_id=5106&lang=de

Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

MarkusP
starter
Beiträge: 60
Registriert: 31.12.2017, 11:46

Re: Bekomme ioBroker nicht installiert

Beitrag von MarkusP » 14.07.2018, 19:06

Homoran hat geschrieben:
14.07.2018, 18:59
mach mal bitte

Code: Alles auswählen

node -v
nodejs -v
npm -v
Welche Hardware?
Welches OS?

Gruß
Rainer

node -v --> V10.6.0
nodjs -v --> V8.11.1
npm -v --> 1.42.1

OS ist Raspbian Stretch Lite auf einem Raspberry Pi 3B.

Antworten